Bug 170745 - [MAINTAINER] games/tanglet: Makefile changed, OptionsNG
Summary: [MAINTAINER] games/tanglet: Makefile changed, OptionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-18 16:30 UTC by nemysis
Modified: 2012-08-25 07:50 UTC (History)
1 user (show)

See Also:


Attachments
tanglet-1.2.1_1.patch (1.29 KB, patch)
2012-08-18 16:30 UTC, nemysis
no flags Details | Diff
tanglet.diff (1.32 KB, patch)
2012-08-20 22:13 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-18 16:30:09 UTC
Makefile changed:

Deleted INSTALL why isn't needed after Installation.

OptionsNG

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MDOCS}

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2012-08-18 17:09:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2012-08-20 12:00:45 UTC
Responsible Changed
From-To: sunpoet->jgh

Jason would like to take nemysis's PRs.
Comment 3 dfilter service freebsd_committer 2012-08-25 07:43:10 UTC
Author: jgh
Date: Sat Aug 25 06:42:58 2012
New Revision: 303119
URL: http://svn.freebsd.org/changeset/ports/303119

Log:
  - port requires data
  - remove INSTALL file from PORTDOCS
  - adopt optionsNG for DOCS
  
  PR:     170745
  Submitted by:   maintainer, nemysis@gmx.ch

Modified:
  head/games/tanglet/Makefile   (contents, props changed)

Modified: head/games/tanglet/Makefile
==============================================================================
--- head/games/tanglet/Makefile	Sat Aug 25 06:28:54 2012	(r303118)
+++ head/games/tanglet/Makefile	Sat Aug 25 06:42:58 2012	(r303119)
@@ -7,6 +7,7 @@
 
 PORTNAME=	tanglet
 PORTVERSION=	1.2.1
+PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	http://gottcode.org/${PORTNAME}/
 EXTRACT_SUFX=	-src.tar.bz2
@@ -23,7 +24,9 @@ INSTALLS_ICONS=	yes
 MAKE_JOBS_SAFE=	yes
 
 PORTDATA=	*
-PORTDOCS=	CREDITS ChangeLog INSTALL
+PORTDOCS=	CREDITS ChangeLog
+
+.include <bsd.port.options.mk>
 
 do-configure:
 	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
@@ -33,6 +36,9 @@ do-install:
 # Executable
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
 
+# Data
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "data translations" ${DATADIR})
+
 # Icons
 	cd ${WRKSRC}/icons && ${FIND} hicolor -type d -name apps -exec \
 		${MKDIR} ${PREFIX}/share/icons/{} \;
@@ -44,13 +50,8 @@ do-install:
 	${MKDIR} ${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKSRC}/icons/${PORTNAME}.desktop ${PREFIX}/share/applications/
 
-# Data
-.if !defined(NOPORTDATA)
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "data translations" ${DATADIR})
-.endif
-
 # Documentation
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 .  for f in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Jason Helfman freebsd_committer 2012-08-25 07:43:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!